org.eclipse.wst.jsdt.libraries

## Class BasicBrowserLibraryContainerUIExtension

- java.lang.Object
- - org.eclipse.wst.jsdt.libraries.BasicBrowserLibraryContainerUIExtension

All Implemented Interfaces:
  org.eclipse.wst.jsdt.internal.ui.IJsGlobalScopeContainerInitializerExtension

    public class BasicBrowserLibraryContainerUIExtension
    extends java.lang.Object
    implements org.eclipse.wst.jsdt.internal.ui.IJsGlobalScopeContainerInitializerExtension

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`BasicBrowserLibraryContainerUIExtension()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ImageDescriptor` `getImage(IPath containerPath, java.lang.String element, IJavaScriptProject project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicBrowserLibraryContainerUIExtension

    public BasicBrowserLibraryContainerUIExtension()

### Method Detail

#### getImage

    public ImageDescriptor getImage(IPath containerPath,
                                    java.lang.String element,
                                    IJavaScriptProject project)

Specified by:
  `getImage` in interface `org.eclipse.wst.jsdt.internal.ui.IJsGlobalScopeContainerInitializerExtension`